# Create module example

Endpoint to upload README and Terraform source files for a single example directory of a module version

Endpoint: POST /iacm/api/modules/{name}/{system}/{version}/examples/{examplePath}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `scope_org` (string)
    org name
    Example: "Optio sit voluptates delectus quia et."

  - `scope_project` (string)
    project name
    Example: "Non deserunt rem doloremque quis consequatur."

## Path parameters:

  - `name` (string, required)
    module name
    Example: "Alias ipsam vel."

  - `system` (string, required)
    system name
    Example: "Occaecati non."

  - `version` (string, required)
    version of the module
    Example: "Sit enim quo impedit in totam."

  - `examplePath` (string, required)
    relative path of the example directory under examples/
    Example: "Tempora quaerat quia dicta minima illo."

## Header parameters:

  - `Harness-Account` (string, required)
    account name
    Example: "Magnam quo eius non."

  - `Content-Type` (string, required)
    Content-Type header (multipart/form-data with boundary)
    Example: "Quia error est consequuntur aspernatur voluptas labore."

  - `Content-Length` (integer)
    Size in bytes of the multipart body
    Example: 2230514771477644800

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


## Response 201 fields
